Package org.apache.tomcat.util.descriptor.tld

## Class TldRuleSet.Variable

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldRuleSet.Variable

- Enclosing class:
    TldRuleSet

      public static class TldRuleSet.Variable
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Variable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setClassName​(String className)` |
    `void` | `setDeclare​(boolean declare)` |
    `void` | `setNameFromAttribute​(String nameFromAttribute)` |
    `void` | `setNameGiven​(String nameGiven)` |
    `void` | `setScope​(String scopeName)` |
    `TagVariableInfo` | `toTagVariableInfo()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Variable

          public Variable()

  - ### Method Detail

    - #### setNameGiven

          public void setNameGiven​(String nameGiven)

    - #### setNameFromAttribute

          public void setNameFromAttribute​(String nameFromAttribute)

    - #### setClassName

          public void setClassName​(String className)

    - #### setDeclare

          public void setDeclare​(boolean declare)

    - #### setScope

          public void setScope​(String scopeName)

    - #### toTagVariableInfo

          public TagVariableInfo toTagVariableInfo()